Java/Swing Problem

  1. DeineMudda

    DeineMudda Thread Starter unregistriert

    Mitglied seit:
    12.05.2005
    Beiträge:
    852
    Zustimmungen:
    72
    Hallo zusammen,

    ich hab bei mir die JDKs 1.4.2_09 und 1.5.0_05 installiert und seitdem funktionieren bei mir keine JTabbedPanes mehr. Egal was ich damit mache, die Frames "verreißt" es dann total. Selbst das Sun-Beispiel aus dem Swing-Tutorial geht nicht mehr, es erscheint nur ein komplett leeres Fenster.
    Andere Swing-Komponenten funktionieren seltsamerweise.

    java.sun.com -> Run TabbedPaneDemo

    Kann das vielleicht mal jemand ausprobieren?
    Falls das nur bei mir so ist, wie kann ich denn den Kram quasi "neu installieren"?

    Dankesehr und Gruß
    DM
     
    DeineMudda, 08.01.2006
    #1
  2. der_Kay

    der_Kay MacUser Mitglied

    Mitglied seit:
    02.09.2004
    Beiträge:
    1.685
    Zustimmungen:
    8
    Funktioniert einwandfrei...

    java version "1.5.0_05"
    Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_05-83)
    Java HotSpot(TM) Client VM (build 1.5.0_05-48, mixed mode, sharing)

    Starte das Demo doch mal mittels "open TabbedPaneDemo.jnlp" im Terminal und schau, ob es irgendwelche Exceptions wirft.

    Wenn gar nichts geht:
    hier runterladen
     
    der_Kay, 08.01.2006
    #2
  3. DeineMudda

    DeineMudda Thread Starter unregistriert

    Mitglied seit:
    12.05.2005
    Beiträge:
    852
    Zustimmungen:
    72
    Bei mir:

    java version "1.5.0_05"
    Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_05-83)
    Java HotSpot(TM) Client VM (build 1.5.0_05-48, mixed mode, sharing)

    Und trotzdem geht nix mehr.
    Selbst die Tools unter Programme/Dienstprogramme/Java gehen nicht mehr - nur noch leere Fenster. Nochmal installieren hat auch nichts gebracht.

    Argghh.

    Aber danke fürs ausprobieren. Scheint ja ein lokales Problem zu sein (sitzt wahrscheinlich vor dem Rechner :) ).
     
    DeineMudda, 08.01.2006
    #3
  4. javaklaus

    javaklaus MacUser Mitglied

    Mitglied seit:
    16.04.2005
    Beiträge:
    18
    Zustimmungen:
    0
    Da ist dann aber schwer Was angebrannt.
    Mal Rechte repariert?
    Wie hast du installiert(über Softw.-Akt.)?
    J2SE 5.0 ist nur für Tiger.
    'Kann auch bestätigen, dass JTabbedPane keine Probleme macht hier bei mir-
    weder unter 1.4 noch unter 5.0.
     
    javaklaus, 09.01.2006
    #4
  5. DeineMudda

    DeineMudda Thread Starter unregistriert

    Mitglied seit:
    12.05.2005
    Beiträge:
    852
    Zustimmungen:
    72
    Langsam werd ich aber nervös.
    Rechte reparieren hat gar nichts gebracht.

    Sehen die Verzeichnisse bei euch auch so aus:

    Code:
    imac:/System/Library/Frameworks/JavaVM.framework Icke$ ls -la
    total 56
    drwxr-xr-x   10 root  wheel   340 Jan  8 15:37 .
    drwxr-xr-x   74 root  wheel  2516 May 27  2005 ..
    lrwxr-xr-x    1 root  wheel    27 Sep 15 19:15 Classes -> Versions/CurrentJDK/Classes
    lrwxr-xr-x    1 root  wheel    28 Sep 15 19:15 Commands -> Versions/CurrentJDK/Commands
    lrwxr-xr-x    1 root  wheel    24 Jan  8 15:37 Headers -> Versions/Current/Headers
    lrwxr-xr-x    1 root  wheel    24 Sep 15 19:15 Home -> Versions/CurrentJDK/Home
    lrwxr-xr-x    1 root  wheel    23 Jan  8 15:37 JavaVM -> Versions/Current/JavaVM
    lrwxr-xr-x    1 root  wheel    29 Sep 15 19:15 Libraries -> Versions/CurrentJDK/Libraries
    lrwxr-xr-x    1 root  wheel    26 Jan  8 15:37 Resources -> Versions/Current/Resources
    drwxr-xr-x   11 root  wheel   374 Jan  8 15:37 Versions
    
    Code:
    imac:/System/Library/Frameworks/JavaVM.framework/Versions Icke$ ls -la
    total 40
    drwxr-xr-x   11 root  wheel  374 Jan  8 15:37 .
    drwxr-xr-x   10 root  wheel  340 Jan  8 15:37 ..
    lrwxr-xr-x    1 root  wheel    5 Jan  8 15:37 1.3 -> 1.3.1
    drwxr-xr-x    8 root  wheel  272 Apr  8  2005 1.3.1
    lrwxr-xr-x    1 root  wheel    5 Sep 15 19:15 1.4 -> 1.4.2
    drwxr-xr-x    8 root  wheel  272 Apr  8  2005 1.4.2
    lrwxr-xr-x    1 root  wheel    5 Jan  8 15:37 1.5 -> 1.5.0
    drwxr-xr-x    8 root  wheel  272 May 27  2005 1.5.0
    drwxr-xr-x    6 root  wheel  204 Jan  8 15:38 A
    lrwxr-xr-x    1 root  wheel    1 Jan  8 15:37 Current -> A
    lrwxr-xr-x    1 root  wheel    5 Jan  8 15:29 CurrentJDK -> 1.5.0
    
    Gruß
    DM
     
    DeineMudda, 10.01.2006
    #5
  6. DeineMudda

    DeineMudda Thread Starter unregistriert

    Mitglied seit:
    12.05.2005
    Beiträge:
    852
    Zustimmungen:
    72
    Juhu, ich habs.

    Ich hatte vor einiger Zeit mal mit Quartz 2D Extreme rumgespielt und weiß jetzt auch, warum das standardmäßig nicht aktiviert ist.

    Quartz Debug hat geholfen. Aus und gut.

    Allerdings komisch, dass mir das nicht früher aufgefallen ist?!

    Danke für die Bemühungen und
    Gruß
    DM
     
    DeineMudda, 10.01.2006
    #6
  7. danlo

    danlo MacUser Mitglied

    Mitglied seit:
    03.09.2005
    Beiträge:
    372
    Zustimmungen:
    0
    Geht eigentlich sowas wie Sliders mit Swing oder braucht man da Cocoa?
     
    danlo, 15.01.2006
    #7
  8. DeineMudda

    DeineMudda Thread Starter unregistriert

    Mitglied seit:
    12.05.2005
    Beiträge:
    852
    Zustimmungen:
    72
    Na sicher gibt es Slider: hier

    Von den Bildern nicht abschrecken lassen, sieht unter OS X natürlich alles "normal" aus.
     
    DeineMudda, 15.01.2006
    #8
Die Seite wird geladen...
Ähnliche Themen - Java Swing Problem
  1. Kümmelkorn
    Antworten:
    6
    Aufrufe:
    2.369
    Kümmelkorn
    20.03.2010
  2. Yelssorc
    Antworten:
    0
    Aufrufe:
    551
    Yelssorc
    25.03.2008
  3. bndr
    Antworten:
    2
    Aufrufe:
    833
    gishmo
    05.03.2008
  4. Marduk
    Antworten:
    0
    Aufrufe:
    2.347
    Marduk
    19.02.2008
  5. RonjaMichaela
    Antworten:
    1
    Aufrufe:
    533
    RonjaMichaela
    18.05.2007